nand_wait
Prev | Chapter 11. Internal Functions Provided | Next

## Name

nand_wait — [DEFAULT] wait until the command is done

## Synopsis

`int nand_wait (` | struct mtd_info * | mtd,
| struct nand_chip * | chip`)`;

## Arguments

`mtd`

  MTD device structure

`chip`

  NAND chip structure

## Description

Wait for command done. This applies to erase and program only Erase can take up to 400ms and program up to 20ms according to general NAND and SmartMedia specs

Prev | Up | Next
nand_get_device | Home | nand_read_page_raw